/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.apache.isis.viewer.wicket.model.links;

import java.io.Serializable;

import org.apache.wicket.markup.html.link.AbstractLink;

public class LinkAndLabel implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private final AbstractLink link;
    private final String label;
    private final String disabledReasonIfAny;

    public LinkAndLabel(final AbstractLink link, final String label, String disabledReasonIfAny) {
        this.link = link;
        this.label = label;
        this.disabledReasonIfAny = disabledReasonIfAny;
    }

    public AbstractLink getLink() {
        return link;
    }

    public String getLabel() {
        return label;
    }
 
    public String getDisabledReasonIfAny() {
        return disabledReasonIfAny;
    }
}